<?php

class BillEasePaymentModuleFrontController extends ModuleFrontController
{
    public function initContent()
    {
        $this->display_column_left = false;
        $this->display_column_right = false;

        parent::initContent();

        $control = (int)Tools::getValue('control');
        $cart = $this->context->cart;

        if (!empty($control)) {
            $cart = new Cart($control);
        }

        if ($cart->id_customer == 0
            || $cart->id_address_delivery == 0
            || $cart->id_address_invoice == 0
            || !$this->module->active
        ) {
            BillEaseHelper::redirectBackToCart();
        }

        $this->context->smarty->assign([
            'billease_path' => $this->module->getPathUri(),
            'nbProducts' => $cart->nbProducts(),
            'total' => $cart->getOrderTotal(true, Cart::BOTH),
            'controller_link' => BillEaseHelper::controllerLink('submit')
        ]);

        $this->setTemplate('payment.tpl');
    }
}
