<?php


class BillEaseAPI
{
    private static function getBaseUrl()
    {
        if (\BillEase\Settings::$testMode) {
            return \BillEase\Settings::$stagingUrl;
        } else {
            return \BillEase\Settings::$productionUrl;
        }
    }

    public static function checkout($checkoutInformation)
    {
        $headers = [
            'Content-Type' => 'application/json',
            'Authorization' => 'Bearer ' . \BillEase\Settings::$merchantJwt
        ];

        $httpConfig = new \BillEase\HTTPConfig(
            BillEaseAPI::getBaseUrl() . '/trx/checkout',
            'POST',
            $headers
        );
        $httpConnection = new \BillEase\HTTPConnection($httpConfig);
        $payload = json_encode($checkoutInformation);
        $response = $httpConnection->execute($payload);

        return $response;
    }
}
